Skip to main content
GET
/
custom-fields
/
List custom field definitions
curl --request GET \
  --url https://api.journeybee.io/v1/custom-fields/ \
  --header 'Authorization: Bearer <token>'
[
  {
    "uuid": "<string>",
    "label": "<string>",
    "options": [
      {
        "id": 123,
        "label": "<string>"
      }
    ],
    "shared": true,
    "required": true,
    "created_at": "<string>",
    "updated_at": "<string>"
  }
]

Authorizations

Authorization
string
header
required

API key authentication. Use "Bearer <api_key>" or "Api-Key <api_key>".

Query Parameters

category
enum<string>
Available options:
lead,
partner,
lead_deal,
contact
partner_type
enum<string>
Available options:
referral,
reseller,
distributor

Response

200 - application/json

Default Response

uuid
string
required
label
string
required
type
enum<string>
required
Available options:
text,
textarea,
number,
date,
boolean,
select,
multi_select
category
enum<string>
required
Available options:
lead,
partner,
lead_deal,
contact
partner_type
enum<string>
required
Available options:
referral,
reseller,
distributor
options
object[] | null
required
shared
boolean
required
required
boolean
required
created_at
string
required
updated_at
string
required